> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapkey.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Location

> Send Location



## OpenAPI

````yaml openapi-v1  POST /message/sendLocation/{instance}
openapi: 3.0.3
info:
  title: ZapKey
  version: 1.7.1
servers:
  - url: https://api.zapkey.io
security: []
paths:
  /message/sendLocation/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Location
      description: Send Location
      operationId: sendLocation
      parameters:
        - name: instance
          in: path
          required: true
          description: ID of the instance to connect
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - locationMessage
              properties:
                number:
                  type: string
                  description: Number to receive the message (with country code)
                options:
                  type: object
                  properties:
                    delay:
                      type: integer
                      description: Presence time in milliseconds before sending message
                    presence:
                      type: string
                      description: 'Presence type to show '
                      enum:
                        - composing
                      default: composing
                locationMessage:
                  type: object
                  required:
                    - latitude
                    - longitude
                  properties:
                    name:
                      type: string
                      description: Location name
                    address:
                      type: string
                      description: Location address
                    latitude:
                      type: number
                      description: Location latitude
                    longitude:
                      type: number
                      description: Location longitude
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                    description: >-
                      The key of the message, which identifies the message in
                      the chat.
                  message:
                    type: object
                    properties:
                      locationMessage:
                        type: object
                        properties:
                          degreesLatitude:
                            type: number
                            format: float
                            description: The latitude of the location.
                          degreesLongitude:
                            type: number
                            format: float
                            description: The longitude of the location.
                          name:
                            type: string
                            description: The name of the location.
                          address:
                            type: string
                            description: The address of the location.
                          contextInfo:
                            type: object
                            description: Additional context information.
                        description: Details of the location message.
                    description: >-
                      The message content, which may include various types of
                      messages like text, images, location, etc.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message, represented as a string.
                  status:
                    type: string
                    description: >-
                      The status of the message, such as sent, received, or
                      pending.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE51B6FF4470AF9
                  message:
                    locationMessage:
                      degreesLatitude: -19.93359
                      degreesLongitude: -43.93851
                      name: Palácio da Liberdade
                      address: Praça da Liberdade, Belo Horizonte, MG 30140-050
                      contextInfo: {}
                  messageTimestamp: '1717779606'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````